Arch Panel Sheet: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(23 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<translate>
<translate>
<!--T:17-->
{{Docnav
|[[Arch_Panel_Cut|Panel Cut]]
|[[Arch_Nest|Nest]]
|[[Arch_Module|Arch]]
|IconL=Arch_Panel_Cut.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Nest.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Arch Panel Sheet|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Panel tools → Panel Sheet|Shortcut=P,S|SeeAlso=[[Arch Panel|Arch Panel]]}}
|Name=Arch Panel Sheet
|Workbenches=[[Arch Module|Arch]]
|MenuLocation=Arch → Panel tools → Panel Sheet
|Shortcut={{KEY|P}} {{KEY|S}}
|SeeAlso=[[Arch Panel|Arch Panel]], [[Arch Panel Cut|Arch Panel Cut]], [[Arch Nest|Arch Nest]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
Line 10: Line 26:


</translate>
</translate>
[[Image:Arch Wikihouse 03.jpg]]
[[Image:Arch Wikihouse 03.jpg|1024px]]
<translate>
<translate>


</translate>
</translate>
[[Image:Arch Wikihouse 04.jpg]]
[[Image:Arch Wikihouse 04.jpg|1024px]]
<translate>
<translate>


<!--T:4-->
<!--T:4-->
The above image shows how Panel Sheets appear when exported to DXF.
''The above image shows how Panel Sheets appear when exported to DXF.''


==How to use== <!--T:5-->
==Usage== <!--T:5-->


<!--T:6-->
<!--T:6-->
# Optionally, select one or more [[Arch Panel Cut|Arch Panel Cut]] objects or any other 2D object that lies on the XY plane
# Optionally, select one or more [[Arch Panel Cut|Arch Panel Cut]] objects or any other 2D object that lies on the XY plane.
# Press the {{KEY|[[Image:Arch Panel Sheet.png|16px]] [[Arch Panel Sheet|Arch Panel Sheet]]}} button, or press {{KEY|P}} then {{KEY|S}} keys
# Press the {{Button|[[Image:Arch Panel Sheet.svg|16px]] [[Arch Panel Sheet|Arch Panel Sheet]]}} button, or press {{KEY|P}} then {{KEY|S}} keys.
# Adjust the desired properties
# Adjust the desired properties.


==Options== <!--T:7-->
==Options== <!--T:7-->
Line 38: Line 54:
==Properties== <!--T:9-->
==Properties== <!--T:9-->


<!--T:10-->
=== Data === <!--T:10-->
* {{PropertyData|Height}}: The height of the sheet
* {{PropertyData|Height}}: The height of the sheet
* {{PropertyData|Width}}: The width of the sheet
* {{PropertyData|Width}}: The width of the sheet
Line 47: Line 63:
* {{PropertyData|Tag Rotation}}: The rotation of the tag text
* {{PropertyData|Tag Rotation}}: The rotation of the tag text
* {{PropertyData|Font File}}: The font of the tag text
* {{PropertyData|Font File}}: The font of the tag text
* {{PropertyData|Make Face}}: If True, the panel is a Part Face, otherwise a Part Wire
* {{PropertyData|Grain Direction}}: This allows you to inform the main direction of the panel fiber (clockwise direction, 0° means up)

=== View === <!--T:18-->
* {{PropertyView|Margin}}: A margin that can be displayed inside the panel border
* {{PropertyView|Margin}}: A margin that can be displayed inside the panel border
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyView|Show Grain}}: Shows a fiber texture (Make Face must be set to True)


==Scripting== <!--T:11-->
==Scripting== <!--T:11-->
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:12-->
<!--T:12-->
The Panel sheet tool can by used in [[macros]] and from the python console by using the following function:
The Panel sheet tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

</translate>
</translate>
{{Code|code=
{{Code|code=
Sheet = makePanelSheet(panels=[], name="PanelSheet")
makePanelSheet ([objectslist])}}
}}
<translate>
<translate>

<!--T:19-->
* Creates a {{incode|Sheet}} object from {{incode|panels}}, which is a list of [[Arch Panel|Arch Panel]] objects.


<!--T:13-->
<!--T:13-->
Example:
Example:

</translate>
</translate>
{{Code|code=
{{Code|code=
import Arch,Draft
import FreeCAD, Draft, Arch

base = Draft.makeRectangle(500,200)
Rect = Draft.makeRectangle(500, 200)
panel = Arch.makePanel(base,thickness=36)
Polygon = Draft.makePolygon(5, 750)
cut = Arch.makePanelCut(panel)

sheet = Arch.makePanelSheet([cut])
p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])
}}
}}
<translate>
<translate>


== Tutorials ==
== Tutorials == <!--T:14-->

<!--T:15-->
* [[Wikihouse porting tutorial|Wikihouse porting tutorial]]

<!--T:16-->
{{Docnav
|[[Arch_Panel_Cut|Panel Cut]]
|[[Arch_Nest|Nest]]
|[[Arch_Module|Arch]]
|IconL=Arch_Panel_Cut.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Nest.svg
}}


* [[Wikihouse porting tutorial]]
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi{{#translation:}}}}
<languages/>

Revision as of 21:55, 19 February 2020

Arch Panel Sheet

Menu location
Arch → Panel tools → Panel Sheet
Workbenches
Arch
Default shortcut
P S
Introduced in version
-
See also
Arch Panel, Arch Panel Cut, Arch Nest

Description

This tool allows to build a 2D sheet, including any number of Arch Panel Cut objects, or any other 2D object such as those made by the Draft Workbench and Sketcher Workbench. The Panel Sheet is typically made to layout cuts to be made by a CNC machine. These sheets can then be exported to a DXF file.

The above image shows how Panel Sheets appear when exported to DXF.

Usage

  1. Optionally, select one or more Arch Panel Cut objects or any other 2D object that lies on the XY plane.
  2. Press the Arch Panel Sheet button, or press P then S keys.
  3. Adjust the desired properties.

Options

  • After the panel sheet is created, with or without child objects, Any other child object can be added/removed to/from the panel sheet by double-clicking it in the tree view and adding or removing objects from its Group folder
  • Double-clicking on the panel in the tree view also allows you to move the objects contained in this sheet, or move its tag
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property
  • Panel Sheets can display a margin, that is useful to make sure a certain space is always present between inner objects and the border of the sheet
  • When Panel sheets are exported to DXF, the outlines, inner holes, tags of their inner children are placed on different layers, as shown on the above image

Properties

Data

  • DataHeight: The height of the sheet
  • DataWidth: The width of the sheet
  • DataFill Ratio: The percentage of the sheet area that is filled by cuts (automatic)
  • DataTag Text: The text to display
  • DataTag Size: The size of the tag text
  • DataTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DataTag Rotation: The rotation of the tag text
  • DataFont File: The font of the tag text
  • DataMake Face: If True, the panel is a Part Face, otherwise a Part Wire
  • DataGrain Direction: This allows you to inform the main direction of the panel fiber (clockwise direction, 0° means up)

View

  • ViewMargin: A margin that can be displayed inside the panel border
  • ViewShow Margin: Turns the display of the margin on/off
  • ViewShow Grain: Shows a fiber texture (Make Face must be set to True)

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel sheet tool can be used in macros and from the Python console by using the following function:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Creates a Sheet object from panels, which is a list of Arch Panel objects.

Example:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutorials